Subject: Re: [PATCH] t2080: fix cp invocation to copy symlinks instead of following them

From: Đoàn Trần Công Danh <[email-masked]>
Date: Wed, 2 Jun 2021 20:50:39 +0700

On 2021-06-02 15:36:57+0200, Ævar Arnfjörð Bjarmason <[email-masked]> wrote:
> That's getting us there, now we don't fail on the 2nd test, but do start
> failing on the third "re-encode to UTF-16 on checkout" and other
> "checkout" tests.
> 
> The "test_cmp" at the end of that 3rd tests shows that the difference in
> test.utf16.raw and test.utf16 is now that the "raw" one has the BOM, but
> not the "test.utf16" file.

That meant we need: ICONV_OMITS_BOM=UnfortunatelyYes for AIX?
I can replicate that test failure when building for musl libc without
ICONV_OMITS_BOM undefined.

-- 
Danh